/*  OpenOlap viewer
 *  パッケージ名：openolap.viewer.controller
 *  ファイル：LogoutCommand.java
 *  説明：
 *
 *  作成日: 2004/01/26
 */
package openolap.viewer.controller;

import java.io.IOException;

import javax.servlet.ServletException;

import openolap.viewer.common.CommonSettings;
import openolap.viewer.common.Messages;

/**
 *  クラス：LogoutCommand
 *  説明：
 */
public class LogoutCommand implements Command {


	public String execute(RequestHelper helper, CommonSettings commonSettings)
		throws ServletException, IOException {

		// session の初期化
		helper.getRequest().getSession().invalidate(); 

		String message = Messages.getString("LogoutCommand.logoutMessage"); //$NON-NLS-1$
		helper.getRequest().setAttribute("message", message);

		return "/spread/message.jsp";
	}

}
